For the complete documentation index, see llms.txt. This page is also available as Markdown.

Information

Get User Information

get
Query parameters
apiKeystringOptional
usernamestringOptional
Responses
200

OK

No content

get/api/Information/GetUserInformation
GET /api/Information/GetUserInformation HTTP/1.1
Host: portal.nuvens.cloud/
Accept: */*
200

OK

No content

Get User Activity (24hrs)

get
Query parameters
apiKeystringOptional
Responses
200

OK

No content

get/api/Information/Get24HourActivity
GET /api/Information/Get24HourActivity HTTP/1.1
Host: portal.nuvens.cloud/
Accept: */*
200

OK

No content

Get Admin Activity

get
Query parameters
apiKeystringOptional
numberOfActivitiesinteger · int32Optional
Responses
200

OK

No content

get/api/Information/GetAdminActivity
GET /api/Information/GetAdminActivity HTTP/1.1
Host: portal.nuvens.cloud/
Accept: */*
200

OK

No content

Remove WorkSpace Entry

post
Query parameters
apiKeystringOptional
workSpaceIdstringOptional
Responses
200

OK

No content

post/api/Information/RemoveWorkSpaceDbEntry
POST /api/Information/RemoveWorkSpaceDbEntry HTTP/1.1
Host: portal.nuvens.cloud/
Accept: */*
200

OK

No content

Get All WorkSpaces

get
Query parameters
apiKeystringOptional

Your API key for this endpoint (lowercase).

limitinteger · int32 · min: 1 · max: 500Optional

Max items per page (1–500). Default is 50.

nextTokenstringOptional

Token for the next page (returned in response); null when there are no more results.

Responses
200

OK

nextTokenstring · nullableOptional

The token to use to retrieve the next page of results. This value is null when there are no more results to return.

hasMorebooleanOptional

Boolean to indicate more results available for return.

get/api/Information/GetAllWorkSpaces
GET /api/Information/GetAllWorkSpaces HTTP/1.1
Host: portal.nuvens.cloud/
Accept: */*
200

OK

{
  "workSpaces": [
    {
      "workSpId": "text",
      "computerName": "text",
      "account": "text",
      "region": "text",
      "directoryId": "text",
      "runningMode": "text",
      "computeTypeName": "text",
      "protocol": "text",
      "username": "text",
      "state": "text"
    }
  ],
  "nextToken": "text",
  "hasMore": true
}

Get WorkSpaces on Litigation Hold

get
Query parameters
apiKeystringOptional

Your API key for this endpoint (lowercase).

limitinteger · int32 · min: 1 · max: 500Optional

Max items per page (1–500). Default is 50.

nextTokenstringOptional

Token for the next page (returned in response); null when there are no more results.

Responses
200

OK

nextTokenstring · nullableOptional

The token to use to retrieve the next page of results. This value is null when there are no more results to return.

hasMorebooleanOptional

Boolean to indicate more results available for return.

get/api/Information/GetWorkSpacesOnLitigationHold
GET /api/Information/GetWorkSpacesOnLitigationHold HTTP/1.1
Host: portal.nuvens.cloud/
Accept: */*
200

OK

{
  "workSpaces": [
    {
      "workSpId": "text",
      "computerName": "text",
      "account": "text",
      "region": "text",
      "directoryId": "text",
      "runningMode": "text",
      "computeTypeName": "text",
      "protocol": "text",
      "username": "text",
      "state": "text"
    }
  ],
  "nextToken": "text",
  "hasMore": true
}

Last updated